import type { Extension } from '@codemirror/state';
export * from '@codemirror/theme-one-dark';
export * from './theme/light.js';
export interface BasicSetupOptions {
    lineNumbers?: boolean;
    highlightActiveLineGutter?: boolean;
    highlightSpecialChars?: boolean;
    history?: boolean;
    foldGutter?: boolean;
    drawSelection?: boolean;
    dropCursor?: boolean;
    allowMultipleSelections?: boolean;
    indentOnInput?: boolean;
    syntaxHighlighting?: boolean;
    bracketMatching?: boolean;
    closeBrackets?: boolean;
    autocompletion?: boolean;
    rectangularSelection?: boolean;
    crosshairCursor?: boolean;
    highlightActiveLine?: boolean;
    highlightSelectionMatches?: boolean;
    defaultKeymap?: boolean;
    closeBracketsKeymap?: boolean;
    searchKeymap?: boolean;
    historyKeymap?: boolean;
    foldKeymap?: boolean;
    completionKeymap?: boolean;
    lintKeymap?: boolean;
    tabSize?: number;
}
export interface DefaultExtensionsOptions {
    indentWithTab?: boolean;
    basicSetup?: boolean | BasicSetupOptions;
    placeholder?: string | HTMLElement;
    theme?: 'light' | 'dark' | 'none' | Extension;
    readOnly?: boolean;
    editable?: boolean;
}
/**
 * Basic setup that includes standard CodeMirror extensions
 */
export declare const basicSetup: (options?: BasicSetupOptions) => Extension[];
export declare const getDefaultExtensions: (optios?: DefaultExtensionsOptions) => Extension[];
